### Method

# Meta ShadowFactory get_params

#### Declaration [src]

    void
    meta_shadow_factory_get_params (
      MetaShadowFactory* factory,
      const char* class_name,
      gboolean focused,
      MetaShadowParams* params
    )

#### Description [src]

Gets the shadow parameters for a particular class of shadows for either the focused or unfocused state. If the class name does not name an existing class, default values will be returned without printing an error.

#### Parameters

`class_name`

  Type: `const char*`

  Name of the class of shadow to get the params for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`focused`

  Type: `gboolean`

  Whether the shadow is for a focused window.

`params`

  Type: `MetaShadowParams`

  Location to store the current parameter values.

  The argument will be set by the function.
  The returned data is owned by the instance.